Skip to main content

Process an order

POST /v1/public/orders/create

Sends a completed order to Remy. Depending on the merchant's Developer API order settings, the order can award stamps or points, issue rewards, and redeem an existing coupon. Developer API order settings are configured independently from Zapier and other integrations.

Authorization​

X-API-Key required with the orders:write scope

Parameters​

NameLocationTypeRequiredDescription
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body​

FieldTypeRequiredDescription
customer_emailstring (email)YesEmail address used to find or create the customer.
order_valuenumber or stringYesOrder value as a number or a numeric string.
order_numberstringNoSource-system order identifier. Remy generates an identifier when this is omitted or invalid.
order_sourcestringYesSource system name containing letters and numbers only.
first_namestringNoCustomer's first name.
namestringNoCustomer's full name.
coupon_codestringNoCoupon to redeem when reward automation is enabled.

Request example​

curl -X POST "https://api.remyrewards.co.uk/v1/public/orders/create" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "customer_email": "alex@example.com",
  "order_value": 24.5,
  "order_number": "ORDER-1042",
  "order_source": "Shopify",
  "first_name": "Alex",
  "name": "Alex Morgan",
  "coupon_code": "WELCOME10"
}'

Responses​

StatusDescription
200The order was processed.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example​

{
"success": true,
"stamps": 2,
"rewards": [],
"points": 24,
"couponRedeemed": false
}